<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>crystal.js - Documentation</title>

    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav>
    <li class="nav-link nav-home-link"><a href="index.html">Home</a></li><li class="nav-heading"><a href="global.html">Globals</a></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#createLog">createLog</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#decode">decode</a></span></li><li class="nav-item"><span class="nav-item-type type-function">F</span><span class="nav-item-name"><a href="global.html#encode">encode</a></span></li>
</nav>

<div id="main">
    
    <h1 class="page-title">crystal.js</h1>
    

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>const fs = require('fs');

/**
 * Creates a log file. Or a custom file with an custom extension.
 * @function
 * @param {string} name - Name of the file
 * @param {string} content - Content to write to the file
 * @param {string} extension - Custom file extension (THIS IS OPTIONAL)
 */
function createLog(name, content, extension) {
	if (!name) { throw new Error('[Crystal]: ' + 'It is not possible to create a log with an empty name.'); }
	if (!content) { throw new Error('[Crystal]: ' + 'You cannot create an empty log.'); }
	if (extension) {
		const stream = fs.createWriteStream(`${name}.${extension}`, { flags:'a' });
		stream.write(content + '\n');
	}
	else {
		const stream = fs.createWriteStream(`${name}.log`, { flags:'a' });
		stream.write(content + '\n');
	}
}

/**
 * Encodes a string in base64.
 * @function
 * @param {string} str - String to encode
 */
function encode(str) {
	if (!str) throw new Error('[Crystal] No string to encode given');
	const buffer = new Buffer.from(str, 'utf-8');
	const encoded = buffer.toString('base64');

	return encoded;
}

/**
 * Decodes a Base64 encoded string.
 * @function
 * @param {string} str - Base64 encoded string.
 */
function decode(str) {
	if (!str) throw new Error('[Crystal] No string to decode given');
	const buffer = new Buffer.from(str, 'base64');
	const decoded = buffer.toString('utf-8');

	return decoded;
}

module.exports = { createLog, encode, decode };</code></pre>
        </article>
    </section>




</div>

<br class="clear">

<footer>
    Generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.6</a> on Fri Apr 23 2021 16:09:16 GMT+1000 (Australian Eastern Standard Time) using the Minami theme.
</footer>

<script>prettyPrint();</script>
<script src="scripts/linenumber.js"></script>
</body>
</html>
